Compute pending settlements
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/computePendingSettlements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"payrollID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/computePendingSettlements"
payload = { "payrollID": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({payrollID: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://app.toku.com/api/tokuApi/v1/computePendingSettlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"pendingSettlements": [
{
"roleInOrgID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contributorInTokenPayrollID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlementOrderForContributorTokenPayrollID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>",
"tokenID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tokenAmount": 123,
"fiatAmount": 123,
"fiatCurrency": "<string>",
"exchangeRate": 123,
"exchangeRateDate": "2023-11-07T05:31:56Z",
"inprogress": true,
"approvedAt": "2023-11-07T05:31:56Z"
}
],
"totalSettlements": 123,
"totalFiatAmount": 123
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Compute Pending Settlements
Computes pending settlement records for a token payroll.
POST
/
computePendingSettlements
Compute pending settlements
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
Token payroll identifier
Response
Successful response
Whether pending settlements were computed successfully
Computation summary message
Computed settlement records
Show child attributes
Show child attributes
Number of settlement records
Total fiat amount across settlements
⌘I
